
int stepperpostion = 0;
int dirpin = 9;
int steppin = 10;
int target = 10; //<<<<<<<<<

void setup(){
  pinMode(dirpin, OUTPUT);
  pinMode(steppin, OUTPUT);
  //digitalWrite(dirpin, HIGH); /// <<<<<<<<
}

void loop() {
 if (stepperpostion <= target){  
 digitalWrite (dirpin, HIGH);
  //target < 5 //<<<<<    ????????
 digitalWrite(steppin, HIGH);
 delay(10);
 digitalWrite(steppin,LOW);
 delay(100); 
 stepperpostion += 1; 
 }

 /* if (stepperpostion >= target){
  digitalWrite (dirpin, LOW);
  //target > 5 //<<<<<<<<< ??
  digitalWrite(steppin, HIGH); ///  <<<<<<<
  delay(10);
 digitalWrite(steppin,LOW); /// <<<<<<
 delay(1000); 
 stepperpostion --; 
 }*/
}
